PRISON_CHECK(9)

NAME
prison_check - determine if two credentials belong to the same jail

SYNOPSIS
#include <sys/jail.h>
int
prison_check(struct ucred *cred1, struct ucred *cred2);

DESCRIPTION
This function can be used to determine if the two credentials cred1 and cred2 belong to the same jail.

RETURN VALUES
The prison_check() function returns ESRCH if cred1 has been jailed, and cred1 and cred2 do not belong to the same jail. In all other cases, prison_check() returns zero.

SEE ALSO
jail(2)